# eric7.EricWidgets.EricTableView

Module implementing specialized table views.

### Global Attributes

None

### Classes

EricTableView | Class implementing a table view supporting removal of entries.

### Functions

None

## EricTableView

Class implementing a table view supporting removal of entries.

### Derived from

QTableView

### Class Attributes

None

### Class Methods

None

### Methods

keyPressEvent | Protected method implementing special key handling.
removeAll | Public method to clear the view.
removeSelected | Public method to remove the selected entries.

### Static Methods

None

#### EricTableView.keyPressEvent

keyPressEvent(evt)

Protected method implementing special key handling.

evt
  reference to the event (QKeyEvent)

#### EricTableView.removeAll

removeAll()

Public method to clear the view.

#### EricTableView.removeSelected

removeSelected()

Public method to remove the selected entries.

Up